// =====================================================================
//  $Id: St02BadChannelMap.hh,v 1.1 2003/07/11 05:34:13 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST02BADCHANNELMAP_HH
#define __ST02BADCHANNELMAP_HH

#include "Tglobals.h"
#include "St02Map.hh"
#include "St02OfflineDarkRmsMap.hh"

class St02BadChannelMap
  : public St02Map
{

  private:
    St02OfflineDarkRmsMap theOfflineDarkRmsMap;

  public:
    St02BadChannelMap( const Tstring& filename );
    ~St02BadChannelMap();

  public:
    const St02OfflineDarkRmsMap& GetOfflineDarkRmsMap() const;

  public:
    Tbool IsBadChannel( Tint row, Tint col ) const;
    Tbool IsGoodChannel( Tint row, Tint col ) const;
    Tvoid SetBadChannel( Tint row, Tint col );
    Tvoid SetGoodChannel( Tint row, Tint col );
    Tint GetNumberOfBadChannels() const;
    Tint GetNumberOfGoodChannels() const;

};

inline const St02OfflineDarkRmsMap& St02BadChannelMap::GetOfflineDarkRmsMap() const
{
  return( theOfflineDarkRmsMap );
}

#endif
